Figure - 0 O Dev #112095
0 O Dev#110122 (New): D MKO 00 0O
00 Dev#112093 (New): DMKO D0 D0 00000000000 CksCOO0OD
OMKOOAFOAPPOODODO
2022-09-22 10:57 - CD TPM-0 0 O

Status: 0 O Closed Start date: 2022-09-22
Priority: Normal Due date:

Assignee: CDAPP-0 O % Done: 100%
Category: CD-FW Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_20221030

Description

l.oMcuoad
History

#1 - 2022-09-22 11:27 - CDFW-0O O
- Assignee changed from CD FW-0 O to CD- FwW-0O O
#2 - 2022-09-26 18:40 - CD FW-0 O

- Target version set to VX1_MCE_FSE_V2.0_20220930
#3-2022-10-1020:19-CDFwW-0O O

- Status changed from New to [0 0 O In Progress

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0 20221030

#4 - 2022-10-20 14:26 - CD TPM-0 O O
ooooooo
gboooooooooobooooooobooOoOoboOoOoOoOoOobOOoOoOobOoOooon

#5 - 2022-10-20 14:30-CD TPM-0 0 O
- Assignee changed from CD- FW-[ O to CD APP-00 O
- % Done changed from 0 to 90

#6 - 2022-11-14 11:32 - CD APP-O0 O
- % Done changed from 90 to 100

#7 - 2022-11-14 11:33 - CD APP-O O
- Status changed from O O O In Progress to 0 [0 Closed

#8 - 2022-12-22 20:36 - CD FW-0 O

Gerrit Merge Information(]

2025-07-04

1/4




1D

Project

Branch

Uploader

151334

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

shihao0506@thundersoft.com

AF:ExceptionProtect:Add abnormal voltage protection serviceTC-RID: 1201-0206901lssuelD: TS-R-DF-112095Change-Id:
1dd4fb40897a54f80f0b618e278acealf24a60dfd

#9 - 2022-12-22 20:36 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

151337

general/platform/build/soong

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:Exception_Protect:allow uart sdk apiTC-RID: 1201-0206901Issuel D: TS-R-DF-112095Change-1d: 1df591476966d0143h9ffc47d16a68bab98a4fd9b

#10 - 2022-12-22 20:37 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

151587

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

shihao0506@thundersoft.com

-dev

AF:Exception_Protect:add se permission for protectTC-RID: 1201-0206901Issuel D: TS-R-DF-112095Change-1d: 17296a5fce8c803b5ca3031eade057ccc7d1d5425

#11 - 2022-12-22 20:37 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

151769

general/platform/system/sepolicy

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

shihao0506@thundersoft.com

AF:Exception_Protect:add se permission for protect serviceTC-RID: 1201-02069011ssuelD: TS-R-DF-112095Change-1d:
14841afabel1ff1b60d174e9824a536728816fhfbf

#12 - 2022-12-22 20:37 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152182

general/platform/system/sepolicy

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

2025-07-04
AF:Exception_Protect:No longer neededThis reverts commit b7074c534c5¢53ff5¢1f7f7c7cab0675e2f729cf.Reason for revert: <no need>TC-RID:
1201-02069011Issuel D: TS-R-DF-112095Change-Id: Ibf45d480cf48ec243a07e09793667042bedch3de

#13 - 2022-12-22 20:38 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
152220 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | shihao0506@thundersoft.com
-dev

AF:ExceptionProtect:Add tc service managerTC-RID: 1201-0206901Issuel D: TS-R-DF-112095Change-1d: 143fd6dce1d104147d20ef3f5b52228907898eab2

#14 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
152226 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com
-dev

AF:Exception_Protect:add se permission for TcService and preinstallTC-RID: 1201-02069011ssuel D: TS-R-DF-112095Change-I1d:
18bc5h52311fbd22fddcd9aeabac9edfa2e435782

#15 - 2022-12-22 20:38 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
152230 general/platform/build/soong Pre_figure_turbox-c2130c-lal.1-qgssi12 | shihao0506@thundersoft.com
-dev

AF:Exception_Protect:allow tcservice manager apiTC-RID: 1201-02069011ssuelD: TS-R-DF-112095Change-1d: 16a82583cd56306e791e1b39fha67beaf4c8f0b6b

#16 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
152251 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com
m/apps/TCService -dev

AF:ExceptionProtect:Add tc service codeTC-RID: 1201-0206901IssuelD: TS-R-DF-112095Change-Id: 1af30095e0edc4e0699158b14dfed10f4efd18f1b

#17 - 2022-12-22 20:39 - CD Fw-0O O
Gerrit Merge Information(]

1D Project Branch Uploader

152679 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com

2025-07-04 3/4




-dev

AF:Exception_Protect:add se permission for launcher and music appTC-RID: 1201-0206901IssuelD: TS-R-DF-112095Change-Id:
1497139515eb883898a729f2795a406bd 78736e4a

#18 - 2022-12-22 20:39 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152701

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

AF:ExceptionProtect:Add music whitelistTC-RID: 1201-0206901Issuel D: TS-R-DF-112095Change-1d: 1999d3e144e27c8eeef89938917d7fbc8c952bb87

#19 - 2022-12-22 20:44 - CD FW-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

155932

general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:ExceptionProtect:Notify the mcu of the completion of bootTC-RID: 1201-02069011ssuelD: TS-R-DF-112095Change-Id:
1d1446e9d13a463134aff1403577e991f1al7a8bb

#20 - 2022-12-22 20:44 - CD FW-0O O

Gerrit Merge Information(]

ID

Project

Branch

Uploader

156369

general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:ExceptionProtect:Run shutdown after protect completed TC-RID: 1201-0206901IssuelD: TS-R-DF-112095Change-Id:
13720686fd35814aa7ea0d46dd52003705920a0dd
